--[[
                       ###    ##       ##     ## ########  ######   ######  ########  
                      ## ##   ##       ##     ## ##       ##    ## ##    ## ##     ## 
                     ##   ##  ##       ##     ## ##       ##       ##       ##     ## 
                    ##     ## ##       ##     ## ######    ######  ##       ########  
                    ######### ##        ##   ##  ##             ## ##       ##   ##   
                    ##     ## ##         ## ##   ##       ##    ## ##    ## ##    ##  
                    ##     ## ########    ###    ########  ######   ######  ##     ## 
--]] 








--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Resolution ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--

local screenW,screenH = guiGetScreenSize()
local x, y =  (screenW/1366), (screenH/768)








--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ hudTable ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--

local hudTable = 
{
"ammo",
"armour",
"clock",
"health",
"money",
"weapon",
"wanted",
"area_name",
"vehicle_name",
"breath",
"clock",
}








--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Weapons image ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--

local WeaponsWithAmmunition = 
{
    [19] = true,
    [22] = true, [23] = true, [24] = true, [26] = true, [27] = true, [28] = true, [29] = true,
    [30] = true, [31] = true, [32] = true, [37] = true, [38] = true, [39] = true,
    [41] = true, [42] = true, [43] = true,
}

local WeaponsWithoutAmmunition = 
{
    [16] = true, [17] = true, [18] = true,
    [25] = true, 
    [33] = true, [34] = true, [35] = true, [36] = true,
}

local weaponImages = {}
for weapons = 0, 46 do
    weaponImages[weapons] = "icons/"..weapons..".png"
end








--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Hud ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--

function HuD()

    for _, component in ipairs( hudTable ) do
		setPlayerHudComponentVisible( component, false )
	end

    local Vida = getElementHealth(getLocalPlayer())
    local Colete = getPedArmor(getLocalPlayer())

    local Weapon = getPedWeapon(getLocalPlayer())
    local Ammo = getPedTotalAmmo(getLocalPlayer())-getPedAmmoInClip(getLocalPlayer())
    local AmmoClip = getPedAmmoInClip(getLocalPlayer())

    local WantedLevel = getPlayerWantedLevel(getLocalPlayer())

    local Time = getRealTime ()
    local hours = Time.hour
    local minutes = Time.minute



   --~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Health ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--

    dxDrawImage(screenW * 0.8631, screenH * 0.1380, screenW * 0.1296, screenH * 0.0234, "files/barraV.png", 0, 0, 0, tocolor(0, 0, 0, 255), false)
    dxDrawImage(screenW * 0.8660, screenH * 0.1432, screenW * 0.1237/100*Vida, screenH * 0.0130, "files/barraV.png", 0, 0, 0, tocolor(255, 0, 0, 255), false)
    dxDrawImage(screenW * 0.8660, screenH * 0.1432, screenW * 0.1237, screenH * 0.0130, "files/barraV.png", 0, 0, 0, tocolor(255, 0, 0, 200), false)



   --~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Armor ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--

    if getPedArmor(localPlayer) > 0 then
    dxDrawImage(screenW * 0.8631, screenH * 0.0938, screenW * 0.1296, screenH * 0.0234, "files/barraC.png", 0, 0, 0, tocolor(0, 0, 0, 255), false)
    dxDrawImage(screenW * 0.8660, screenH * 0.0990, screenW * 0.1237/100*Colete, screenH * 0.0130, "files/barraC.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    dxDrawImage(screenW * 0.8660, screenH * 0.0990, screenW * 0.1237, screenH * 0.0130, "files/barraC.png", 0, 0, 0, tocolor(255, 255, 255, 200), false)
    end



   --~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Timer ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--

    dxDrawText(""..hours..":"..minutes.."", screenW * 0.8389 - 1, screenH * 0.0313 - 1, screenW * 1.0212 - 1, screenH * 0.0951 - 1, tocolor(0, 0, 0, 255), 1.34, "pricedown", "center", "center", false, false, false, false, false)
    dxDrawText(""..hours..":"..minutes.."", screenW * 0.8389 + 1, screenH * 0.0313 - 1, screenW * 1.0212 + 1, screenH * 0.0951 - 1, tocolor(0, 0, 0, 255), 1.34, "pricedown", "center", "center", false, false, false, false, false)
    dxDrawText(""..hours..":"..minutes.."", screenW * 0.8389 - 1, screenH * 0.0313 + 1, screenW * 1.0212 - 1, screenH * 0.0951 + 1, tocolor(0, 0, 0, 255), 1.34, "pricedown", "center", "center", false, false, false, false, false)
    dxDrawText(""..hours..":"..minutes.."", screenW * 0.8389 + 1, screenH * 0.0313 + 1, screenW * 1.0212 + 1, screenH * 0.0951 + 1, tocolor(0, 0, 0, 255), 1.34, "pricedown", "center", "center", false, false, false, false, false)
    dxDrawText(""..hours..":"..minutes.."", screenW * 0.8389, screenH * 0.0313, screenW * 1.0212, screenH * 0.0951, tocolor(255, 255, 255, 255), 1.34, "pricedown", "center", "center", false, false, false, false, false)



   --~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Money ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--

	local cash = getPlayerMoney()
	cash = "$"..Convert(cash)
	
	local r,g,b
	if (getPlayerMoney() >= 0) then
		r,g,b = 54,104,44
	else
		cash = string.gsub(cash, "%D", "")
		cash = "-$"..Convert(cash)
		r,g,b = 180,25,29
	end

    dxDrawText(""..cash, screenW * 0.9641 - 1, screenH * 0.1693 - 1, screenW * 0.9927 - 1, screenH * 0.2266 - 1, tocolor(0, 0, 0, 255), 1.32, "pricedown", "right")
    dxDrawText(""..cash, screenW * 0.9641 + 1, screenH * 0.1693 - 1, screenW * 0.9927 + 1, screenH * 0.2266 - 1, tocolor(0, 0, 0, 255), 1.32, "pricedown", "right")
    dxDrawText(""..cash, screenW * 0.9641 - 1, screenH * 0.1693 + 1, screenW * 0.9927 - 1, screenH * 0.2266 + 1, tocolor(0, 0, 0, 255), 1.32, "pricedown", "right")
    dxDrawText(""..cash, screenW * 0.9641 + 1, screenH * 0.1693 + 1, screenW * 0.9927 + 1, screenH * 0.2266 + 1, tocolor(0, 0, 0, 255), 1.32, "pricedown", "right")
    dxDrawText(""..cash, screenW * 0.9641, screenH * 0.1693, screenW * 0.9927, screenH * 0.2266, tocolor(r,g,b, 255), 1.32, "pricedown", "right")



   --~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Show Weapons ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--

    if Weapon then
    dxDrawImage(screenW * 0.7855, screenH * 0.0443, screenW * 0.0703, screenH * 0.1237, weaponImages[Weapon], 0, 0, 0, tocolor(255, 255, 255, 255), false)
    end

    if WeaponsWithAmmunition[Weapon] then
    dxDrawText(AmmoClip .."/".. Ammo, screenW * 0.7928, screenH * 0.1615, screenW * 0.8411, screenH * 0.1953, tocolor(255, 255, 255, 255), 1.20, "default-bold", "center", "center", false, false, false, false, false)
    end

    if WeaponsWithoutAmmunition[Weapon] then
    dxDrawText(Ammo, screenW * 0.7928, screenH * 0.1615, screenW * 0.8411, screenH * 0.1953, tocolor(255, 255, 255, 255), 1.20, "default-bold", "center", "center", false, false, false, false, false)
    end



   --~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Wanted level ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--

    dxDrawImage(screenW * 0.8236, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(0, 0, 0, 255), false)
    dxDrawImage(screenW * 0.8529, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(0, 0, 0, 255), false)
    dxDrawImage(screenW * 0.8821, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(0, 0, 0, 255), false)
    dxDrawImage(screenW * 0.9114, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(0, 0, 0, 255), false)
    dxDrawImage(screenW * 0.9407, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(0, 0, 0, 255), false)
    dxDrawImage(screenW * 0.9700, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(0, 0, 0, 255), false)
    
    if WantedLevel == 1 then
    dxDrawImage(screenW * 0.8236, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    end

    if WantedLevel == 2 then 
    dxDrawImage(screenW * 0.8236, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    dxDrawImage(screenW * 0.8529, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    end

    if WantedLevel == 3 then
    dxDrawImage(screenW * 0.8236, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    dxDrawImage(screenW * 0.8529, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    dxDrawImage(screenW * 0.8821, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    end

    if WantedLevel == 4 then
    dxDrawImage(screenW * 0.8236, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    dxDrawImage(screenW * 0.8529, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    dxDrawImage(screenW * 0.8821, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    dxDrawImage(screenW * 0.9114, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    end

    if WantedLevel == 5 then
    dxDrawImage(screenW * 0.8236, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    dxDrawImage(screenW * 0.8529, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    dxDrawImage(screenW * 0.8821, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    dxDrawImage(screenW * 0.9114, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    dxDrawImage(screenW * 0.9407, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    end

    if WantedLevel == 6 then
    dxDrawImage(screenW * 0.8236, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    dxDrawImage(screenW * 0.8529, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    dxDrawImage(screenW * 0.8821, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    dxDrawImage(screenW * 0.9114, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    dxDrawImage(screenW * 0.9407, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    dxDrawImage(screenW * 0.9700, screenH * 0.2266, screenW * 0.0293, screenH * 0.0508, "icons/star.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    end

end
addEventHandler("onClientRender", root, HuD)








--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Change Hud visibility ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--

bindKey ("F11", "down",
function()
    if isVisible then
        addEventHandler("onClientRender", root, HuD )
    else
        removeEventHandler("onClientRender", root, HuD )
    end
    isVisible = not isVisible
end
)

local components = 
{
"weapon",
"ammo",
"health",
"clock",
"money",
"breath",
"armour",
"wanted",
"vehicle_name",
"area_name",
"radio"
}

addEventHandler("onClientResourceStart", resourceRoot,
function()
    sAlpha = 200
    for _, component in ipairs(components) do
        setPlayerHudComponentVisible(component, false)
    end
end
)

addEventHandler("onClientResourceStop", resourceRoot,
function()
    for _, component in ipairs(components) do
        setPlayerHudComponentVisible(component, true)
    end
end
)








--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Dont touch ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--

function Convert(number)
	while true do
		number, k = string.gsub(number, "^(-?%d+)(%d%d%d)", '%1,%2')
		if (k==0) then
			break
		end
	end
	return number
end